# -*- Makefile -*-

lib_TARGETS = champion

# Tu peux rajouter des fichiers sources ou changer des flags de compilation.
champion-dists =
champion-rustcflags = -g

# Evite de toucher a ce qui suit
champion-dists += prologin.h interface.hh ffi.rs api.rs
champion-srcs += interface.cc prologin.rs
champion-ldflags = -fPIC -Wl,--whole-archive
champion-ldlibs  = -Wl,--no-whole-archive -lm -lrt -ldl -lpthread -lstdc++

STECHEC_LANG=rust
include ../includes/rules.mk
